%global pypi_name zstd
%global zstd_version 1.5.6

Name:           python-%{pypi_name}
Version:        %{zstd_version}.7
Release:        %mkrel 2
Summary:        Zstd Bindings for Python
Group:          Development/Python
License:        BSD
URL:            https://github.com/sergey-dryabzhinsky/python-zstd
Source0:        %{pypi_source}

# Patches to fix test execution
Patch0:         python-zstd-1.4.5.1-test-external.patch

BuildRequires:  gcc
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(libzstd) >= %{zstd_version}

%description
Simple Python bindings for the Zstd compression library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
# The library does not do symbol versioning to fully match automatically on
Requires:       %{mklibname zstd 1}%{?_isa} >= %{zstd_version}

%description -n python3-%{pypi_name}
Simple Python bindings for the Zstd compression library.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove bundled zstd library
rm -rf zstd/

%build
%py3_build -- --legacy --external

%install
%py3_install

%check
%{py3_test_envvars} %{python3} -m unittest -v

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{pypi_name}*.so


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 1.5.6.7-2.mga10
+ Revision: 2251485
- Mageia 10 Mass Rebuild

* Tue Apr 15 2025 daviddavid <daviddavid> 1.5.6.7-1.mga10
+ Revision: 2175682
- new version: 1.5.6.7

* Thu Mar 27 2025 daviddavid <daviddavid> 1.5.6.6-1.mga10
+ Revision: 2170377
- new version: 1.5.6.6

* Sun Mar 02 2025 wally <wally> 1.5.6.1-2.mga10
+ Revision: 2156422
- rebuild for python3.13

* Fri Jan 03 2025 daviddavid <daviddavid> 1.5.6.1-1.mga10
+ Revision: 2135234
- new version: 1.5.6.1

* Mon Apr 01 2024 daviddavid <daviddavid> 1.5.5.1-3.mga10
+ Revision: 2053703
- rebuild against new zstd 1.5.6

* Fri Dec 29 2023 daviddavid <daviddavid> 1.5.5.1-2.mga10
+ Revision: 2023946
- rebuild for py3.12

* Fri Apr 28 2023 daviddavid <daviddavid> 1.5.5.1-1.mga9
+ Revision: 1955221
- new version: 1.5.5.1

* Fri Feb 17 2023 daviddavid <daviddavid> 1.5.4.0-1.mga9
+ Revision: 1943821
- new version: 1.5.4.0

* Fri Feb 17 2023 daviddavid <daviddavid> 1.4.5.1-6.mga9
+ Revision: 1943788
- rebuild against new zstd 1.5.4

* Wed Mar 23 2022 umeabot <umeabot> 1.4.5.1-5.mga9
+ Revision: 1823030
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1.4.5.1-4.mga9
+ Revision: 1778873
- Fix building with python-3.10
- Fix building with python-3.10
- Rebuild for python-3.10

* Wed Mar 24 2021 daviddavid <daviddavid> 1.4.5.1-3.mga9
+ Revision: 1708654
- rebuild for python 3.9

* Fri Oct 02 2020 ngompa <ngompa> 1.4.5.1-2.mga8
+ Revision: 1631810
- Adapt for Mageia
- imported package python-zstd


* Sun Aug 23 2020 Neal Gompa <ngompa13@gmail.com> - 1.4.5.1-1
- Initial package (#1870571)
